> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Last Login Time

> Information about the account's last login time.



## OpenAPI

````yaml /api-reference/services_documented/iam_api.yaml get /iam/activity_log/logins
openapi: 3.1.0
info:
  title: Gcore OpenAPI – IAM API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Account
    description: >-
      Account management operations including authentication, password
      management, and account details.
    x-displayName: Account
  - name: API Tokens
    description: >-
      Use permanent API tokens for regular automated requests to services.

      You can either set its validity period when creating it or issue a token
      for an unlimited time.

      Please address the API documentation of the specific product in order to
      check if it supports API tokens.


      Newer endpoints under `/v2/…` issue tokens using `_` (underscore) as the
      separator

      (for example `42_a1b2c3d4e5f6...`) and are the recommended way to create
      new tokens.

      Legacy endpoints that issue `$`-separated tokens are marked deprecated and
      will be removed

      on **2026-07-17**; tokens that were already issued keep authenticating.


      Provide your APIKey in the Authorization header.


      Example: ```curl -H "Authorization: APIKey 42_a1b2c3d4e5f6..."
      https://api.gcore.com/iam/users/me```


      Please note: When authorizing via SAML SSO, our system does not have any

      information about permissions given to the user by the identity provider.

      Even if the provider revokes the user's access rights, their tokens remain
      active.

      Therefore, if necessary, the token will need to be deleted manually.
    x-displayName: API Tokens
  - name: Users
    x-displayName: Users
paths:
  /iam/activity_log/logins:
    get:
      tags:
        - Account
      summary: Last Login Time
      description: Information about the account's last login time.
      operationId: iamGetLastLoginTime
      parameters:
        - $ref: '#/components/parameters/Limit'
        - $ref: '#/components/parameters/Offset'
      responses:
        '200':
          $ref: '#/components/responses/LastLoginTime'
        '400':
          $ref: '#/components/responses/400'
        '403':
          $ref: '#/components/responses/403'
        '404':
          description: Not found.
components:
  parameters:
    Limit:
      name: limit
      in: query
      description: The maximum number of items.
      schema:
        type: integer
    Offset:
      name: offset
      in: query
      description: Offset relative to the beginning of list.
      schema:
        type: integer
  responses:
    '400':
      description: Validation error
      content:
        application/json:
          schema:
            oneOf:
              - $ref: '#/components/schemas/ValidationError'
              - $ref: '#/components/schemas/JSONParseError'
    '403':
      description: You do not have permission to perform this action.
    LastLoginTime:
      description: OK.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/LastLoginTimeSchema'
  schemas:
    LastLoginTimeSchema:
      type: object
      required:
        - count
        - result
      properties:
        count:
          type: number
          description: Total number of users
        next:
          type: string
          description: URL to the next users slice
          example: /activity_log/logins?offset=20&limit=10
        previous:
          type: string
          description: URL to the previous users slice
          example: /activity_log/logins?offset=10&limit=10
        result:
          items:
            $ref: '#/components/schemas/LastLoginTimeItem'
    ValidationError:
      title: Validation error
      type: object
      properties:
        errors:
          type: object
          description: This object contains error descriptions per field from your request.
          additionalProperties:
            type: array
            description: Error list for specific field.
            items:
              type: string
              description: Error description
    JSONParseError:
      title: Invalid request JSON schema
      type: object
      properties:
        message:
          type: string
          description: >-
            This message describes error if json schema from your request is
            invalid.
          example: >
            JSON parse error - Expecting ',' delimiter: line 3 column 33 (char
            77)
    LastLoginTimeItem:
      type: object
      required:
        - id
        - login_at
        - ip_address
        - user_agent
        - is_successful
        - auth_type
        - user
      properties:
        id:
          type: integer
          description: The account ID.
          example: 123456
        login_at:
          type: string
          description: ISO 8086/RFC 3339 format
          example: '2024-11-13T15:23:30Z'
        ip_address:
          type: string
          description: IP Address
          example: 192.168.1.1
        user_agent:
          type: string
          description: User-Agent
          example: >-
            Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML,
            like Gecko) Chrome/118.0.5993.88 Safari/537.36
        is_successful:
          type: boolean
          description: Successful login or not
          example: true
        auth_type:
          type: string
          description: Describes the type of authentication
          example: OAUTH
        user:
          type: integer
          description: UserID
          example: 123456
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````